eth_getLogs(Alpha) - Scroll

Returns an array of all logs matching a given filter object. For more information about eth_getLogs check out our Deep Dive into eth_getLogs page.

Parameters

Object - The filter options:

  • fromBlock: QUANTITY|TAG - (optional, default: "latest") Value:
    • Integer block number
    • "latest" for the last mined block
    • "pending", "earliest" for not yet mined transactions.
  • toBlock: QUANTITY|TAG - (optional, default: "latest") Value:
    • Integer block number
    • "latest" for the last mined block
    • "pending", "earliest" for not yet mined transactions.
  • address: DATA|Array, 20 Bytes - (optional) Contract address or a list of addresses from which logs should originate.
  • topics: Array of DATA, - (optional) Array of 32 Bytes DATA topics.
    • Topics are order-dependent. Each topic can also be an array of DATA with "or" options.
    • Check out more details on how to format topics in eth_newFilter.
  • blockHash: DATA, 32 Bytes - (optional) With the addition of EIP-234 (Geth >= v1.8.13 or Parity >= v2.1.0), blockHash is a new filter option which restricts the logs returned to the single block with the 32-byte hash blockHash. Using blockHash is equivalent to fromBlock = toBlock = the block number with hash blockHash. If blockHash is present in the filter criteria, then neither fromBlock nor toBlock are allowed.
curl --location --request POST 'https://scroll-alpha.unifra.io/v1/your-api-key' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "eth_getLogs",
    "params": [
        {
            "address": "0x000070300830FFC8501Cf42402015bAD12699D71",
            "blockHash": "0xdecf7d1109c108ec3c01cd71e9bff4bd5b8790b86654f95e495012eb66524e25"
        }
    ],
    "id": 0
}'

Returns

Array - Array of log objects, or an empty array if nothing has changed since last poll.

  • For filters created with eth_newBlockFilter the return are block hashes (DATA, 32 Bytes), e.g. ["0x3454645634534..."].
  • For filters created with eth_newPendingTransactionFilter the return are transaction hashes (DATA, 32 Bytes), e.g. ["0x6345343454645..."].
  • For filters created with eth_newFilter logs are objects with following params:
    • removed: TAG - True when the log was removed, due to a chain reorganization. False if its a valid log.
    • logIndex: QUANTITY - Integer of the log index position in the block. Null when its pending log.
    • transactionIndex: QUANTITY - Integer of the transactions index position log was created from. Null when its pending log.
    • transactionHash: DATA, 32 Bytes - Hash of the transactions this log was created from. Null when its pending log.
    • blockHash: DATA, 32 Bytes - Hash of the block where this log was in. Null when its pending. Null when its pending log.
    • blockNumber: QUANTITY - The block number where this log was in. Null when its pending. Null when its pending log.
    • address: DATA, 20 Bytes - Address from which this log originated.
    • data: DATA - Contains one or more 32 Bytes non-indexed arguments of the log.
    • topics: Array of DATA - Array of 0 to 4 32 Bytes DATA of indexed log arguments.
      • In solidity: The first topic is the hash of the signature of the event (e.g. Deposit(address,bytes32,uint256)), except you declare the event with the anonymous specifier.

Example

Request

curl --location --request POST 'https://scroll-alpha.unifra.io/v1/your-api-key' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "eth_getLogs",
    "params": [
        {
            "address": "0x000070300830FFC8501Cf42402015bAD12699D71",
            "blockHash": "0xdecf7d1109c108ec3c01cd71e9bff4bd5b8790b86654f95e495012eb66524e25"
        }
    ],
    "id": 0
}'

Result

{
    "jsonrpc": "2.0",
    "id": 0,
    "result": []
}
Path Params
string
required
Body Params
string
Defaults to { "method": "debug_traceCall", "params": [ { "from": "0xe84118e2b5c74f9610377e86c840ac70f8ca925d", "to": "0xd9880690bd717189cc3fbe7b9020f27fae7ac76f", "value": "0xb1a2bc2ec50000", "gas": "0x226dc", "gasUsed": "0x20b84", "data": "0x5ae401dc00000000000000000000000000000000000000000000000000000000643925d800000000000000000000000000000000000000000000000000000000000000400000000000000000000000000000000000000000000000000000000000000001000000000000000000000000000000000000000000000000000000000000002000000000000000000000000000000000000000000000000000000000000000e404e45aaf000000000000000000000000a1ea0b2354f5a344110af2b6ad68e75545009a03000000000000000000000000a0d71b9877f44c744546d649147e3f1e70a9376000000000000000000000000000000000000000000000000000000000000001f4000000000000000000000000e84118e2b5c74f9610377e86c840ac70f8ca925d00000000000000000000000000000000000000000000000000b1a2bc2ec500000000000000000000000000000000000000000000000008b76dd55b0c2f4f5113000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000" }, "0x13d5d0", { "tracer": "callTracer", "tracerConfig": { "onlyTopCall": false, "withLog": true } } ], "id": 1, "jsonrpc": "2.0" }
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json